API Docs//
API Reference
/- Reschedule an Appointment
Get an Appointment
Get Appointment Status
Create an Appointment
List Appointment Types
Get Booking Link
Count Bookable Slots
Get Bookable Slot
List Bookable Slots
Check slot availability
List Appointments
Book an Appointment
Cancel an Appointment
Reschedule Appointment
Edit an Appointment reservation
List Automated messages
List Booking links
Edit an Appointment
Book an Appointment
Cancel an Appointment
Reschedule an Appointment
Deprecated: new integrations should use PATCH /v2/appointments/{id}/reschedule (rescheduleAppointmentV2) instead. This endpoint remains available for existing hero_confirmed integrations.
Reschedule a confirmed appointment
Security
apiKeyAuth and practiceGroupId
- Mock serverhttps://developer.herohealth.net/_mock/apis/public-api/openapi/v1/appointments/{id}/reschedule
- Staginghttps://api.staging.htech.app/v1/appointments/{id}/reschedule
- Productionhttps://api.herohealth.net/v1/appointments/{id}/reschedule
curl -i -X PATCH \
'https://developer.herohealth.net/_mock/apis/public-api/openapi/v1/appointments/{id}/reschedule' \
-H 'Content-Type: application/json' \
-H 'x-api-key: YOUR_API_KEY_HERE' \
-H 'x-practice-group-id: YOUR_API_KEY_HERE' \
-d '{
"practitioner_id": "15",
"duration": 15,
"start_time": "2026-03-15T09:30:00Z",
"suppress_mail": false,
"suppress_availability_check": false
}'